package com.inspect.metadata.eqpbook.service;

import com.inspect.metadata.eqpbook.domain.BasedataEqpBook;
import com.inspect.metadata.eqpbook.domain.BasedataEqpBookChannel;

import java.util.List;

public interface IBasedataEqpBookChannelService {
    BasedataEqpBookChannel selectBasedataEqpBookChannelByChannelId(Long channelId);

    BasedataEqpBookChannel selectBasedataEqpBookChannelByChannelCode(String channelICode);

    List<BasedataEqpBookChannel> selectBasedataEqpBookChannelList(BasedataEqpBookChannel channel);

    int insertBasedataEqpBookChannel(BasedataEqpBookChannel channel);

    int updateBasedataEqpBookChannel(BasedataEqpBookChannel channel);

    int deleteBasedataEqpBookChannelByChannelIds(Long[] channelIds);

    int deleteBasedataEqpBookChannelByChannelId(Long channelId);

    List<BasedataEqpBookChannel> getChannelByEqpBookCode(BasedataEqpBook eqpBook);
}
